Skip to main content
GET
/
v1
/
accounts
List all accounts
curl --request GET \
  --url https://api-sandbox.circle.com/v1/accounts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accountId": "1000662322",
      "entityId": "a49f9b1d-75e0-44a9-b8d2-4293b3f11ebd",
      "type": "end_user_wallet",
      "description": "End User Wallet",
      "balances": [
        {
          "amount": "3.14",
          "currency": "USD"
        }
      ],
      "clientEntityId": "a3f1b2c4-d5e6-7890-abcd-ef1234567890"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string

Queries items created since the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

to
string

Queries items created before the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

pageBefore
string

A collection ID value used for pagination. It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

Example:

"def9520a-5280-4089-9b02-3c9ef8fc8514"

pageAfter
string

A collection ID value used for pagination. It marks the exclusive begin of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

Example:

"bce1e961-bdb8-4983-a9c2-0b3fbc2614cf"

pageSize
integer

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If avoided, the collection will determine the page size itself.

Required range: x >= 1
Example:

5

Response

Successfully retrieved a list of accounts.

data
object[]